Subject: Re: linux-next: build failure after merge of the kspp tree

From: Steven Rostedt <[email-masked]>
Date: Tue, 25 Jan 2022 23:06:45 -0500

On Wed, 26 Jan 2022 12:52:52 +0900
Masami Hiramatsu <[email-masked]> wrote:

> > On Wed, 26 Jan 2022 09:35:38 +0900
> > Masami Hiramatsu <[email-masked]> wrote:
> >   
> > > I think Kees' idea seems better. If you and Beau are good, I will update
> > > the macros for __rel_loc. (This requires to change some user-space
> > > application which Beau is making too.)  
> > 
> > If Beau is OK with it, I'm OK with it too. I need to release a new version
> > of libtraceevent anyway, and I can make the update for that too.
> > 
> > Who's adding the patch (if Beau says it's OK), you or Kees?  
> 
> This will update the __rel_loc spec, so I'll do it :)

As I replied to the other email, I don't think we want to do this.

As "rel" means relative, I think it makes more sense to keep it as is, and
not have it just be from the data section. That may be even more confusing.

But I'll wait for Beau to answer.

Note, I added both your and Kees patches to my queue and I'm currently
testing it. You can see what I'm testing here:

  https://git.kernel.org/pub/scm/linux/kernel/git/rostedt/linux-trace.git/log/?h=ftrace/core

-- Steve